Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.menu.code
Class KazukiAction.VocabularyClassLoader

    java.lang.Object
      java.lang.ClassLoader
          edu.stanford.smi.protegex.owl.ui.menu.code.KazukiAction.VocabularyClassLoader

Enclosing class:
  KazukiAction

    public static class KazukiAction.VocabularyClassLoader

extends ClassLoader

Constructor Summary
`KazukiAction.VocabularyClassLoader(ClassLoader parent, String sPackageRoot)`
`KazukiAction.VocabularyClassLoader(String sPackageRoot)`

Method Summary
`protected Class` | `findClass(String sClass)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KazukiAction.VocabularyClassLoader

    public KazukiAction.VocabularyClassLoader(String sPackageRoot)

### KazukiAction.VocabularyClassLoader

    public KazukiAction.VocabularyClassLoader(ClassLoader parent,
                                              String sPackageRoot)

Method Detail

### findClass

    protected Class findClass(String sClass)
                       throws ClassNotFoundException

  Overrides:
    `findClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.